## org.eclipse.emf.databinding
Interface IEMFMapProperty

All Superinterfaces:
  IEMFProperty, IMapProperty, IProperty

All Known Subinterfaces:
  IEMFEditMapProperty

All Known Implementing Classes:
  EMFEditMapPropertyDecorator, EMFMapPropertyDecorator

    public interface IEMFMapProperty

extends IEMFProperty, IMapProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

An `IMapProperty` extension interface with convenience methods for creating nested `EStructuralFeature`s

Since:
  2.5

Method Summary
`IEMFMapProperty` `values(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value feature.
`IEMFMapProperty` `values(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified nested value feature.
`IEMFMapProperty` `values(IEMFValueProperty property)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from interface org.eclipse.emf.databinding.IEMFProperty
`getStructuralFeature`

Methods inherited from interface org.eclipse.core.databinding.property.map.IMapProperty
`getKeyType, getValueType, mapFactory, mapFactory, observe, observe, observeDetail, values`

Method Detail

### values

    IEMFMapProperty values(FeaturePath featurePath)

  Returns a master-detail combination of this property and the specified nested value feature.

  Parameters:
    `featurePath` - the nested value feature to observe
  Returns:
    a master-detail combination of this property and the specified nested value feature.
  See Also:
    `values(IEMFValueProperty)`

### values

    IEMFMapProperty values(EStructuralFeature feature)

  Returns a master-detail combination of this property and the specified value feature.

  Parameters:
    `feature` - the value feature to observe
  Returns:
    a master-detail combination of this property and the specified nested value feature.
  See Also:
    `values(IEMFValueProperty)`

### values

    IEMFMapProperty values(IEMFValueProperty property)

  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all `values` observed by this map property, mapping from this map property's `key set` to the specified value property's value for each element in the master property's `values` collection.

  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.